| Home | Libraries | People | FAQ | More

##### static_url_base::remove_authority

(Inherited from `url_base`)

Remove the authority.

###### Synopsis

    url_base&
    remove_authority();

###### Description

This function removes the authority, which includes the userinfo, host, and a port if present.

###### Example

    assert( url( "http://example.com/echo.cgi" ).remove_authority().buffer() == "http:/echo.cgi" );

###### Postconditions

    this->has_authority() == false && this->has_userinfo() == false && this->has_port() == false

###### Complexity

Linear in `this->size()`.

###### Exception Safety

Throws nothing.

###### BNF

    authority     = [ userinfo "@" ] host [ ":" port ]

    userinfo      = *( unreserved / pct-encoded / sub-delims / ":" )
    host          = IP-literal / IPv4address / reg-name
    port          = *DIGIT

###### Specification

- 3.2. Authority (rfc3986)

###### See Also

`set_encoded_authority`.